<?php  

defined('C5_EXECUTE') or die(_("Access Denied."));

$interfaceHelper = Loader::helper('concrete/interface');

?> 

<h1><span><?php echo t('Locations')?></span></h1>

<div class="ccm-dashboard-inner" > 

	<?php  if( !$mapsKey ){ ?>
	
		<div style="margin:16px 0px;">
			<?php echo t('To use the Traffic & Statistics Map, you must first %sget a yahoo maps api key%s.','<a href="http://developer.yahoo.com/wsregapp/" target="_blank">','</a>') ?>
		</div>
		
		<div style="margin-bottom:16px;"><?php echo t('Then enter the key on the %sTraffic & Statistics Settings page%s.','<a href="'.View::url('/dashboard/stats/settings').'">','</a>') ?></div>
		
		
	<?php  }else{ ?> 
		
		<link href="<?php echo ParticleTraffic_URL_DIR ?>css/ParticleTraffic.css" rel="stylesheet" type="text/css" />
		
		<?php  /*
		<div id="mapPopup" class="mapPopup">			
			<div class="t">&nbsp;</div>
			<div class="tl">&nbsp;</div>
			<div class="tr">&nbsp;</div>
			<div class="br">&nbsp;</div>
			<div class="bl">&nbsp;</div>
			<div class="b">&nbsp;</div>
			<table class="center" cellpadding="0" cellspacing="0" >
			  <tr>
				<td class="l">&nbsp;</td>
				<td class="content"><div class="mapPopupContent">Here is my headline</div></td>
				<td class="r"><div class="minHeight">&nbsp;</div></td>
			  </tr>
			</table>
			<div class="spacer">&nbsp;</div>
		</div>		
		*/ ?>
		
		<script src="http://api.maps.yahoo.com/ajaxymap?v=3.8&appid=<?php echo $mapsKey  ?>"></script>
		<script type="text/javascript"> 
		var mapObj;
		var StatsMap = { 
			
			init : function() {  
			
				try{ 
						mapObj = new YMap( document.getElementById('mapCanvas'), YAHOO_MAP_REG);//,YSize('1200px','550px'));		
						mapObj.setMapType(YAHOO_MAP_REG);
						mapObj.addZoomLong();
						mapObj.addPanControl();
						mapObj.drawZoomAndCenter(new YGeoPoint( 22,-24 ),16);	
						mapObj.disableKeyControls();
						
						var point, currentGeoPoint, newMarker, popupContent,flagHTML;
						
						//YEvent.Capture(mapObj, EventsList.MouseClick, function(_e, _c){ alert(_c.Lat+' '+_c.Lon); } );
						
						<?php  
						$totalVisits=intval($countries['totalVisits']);
						foreach( $countries['visits'] as $key=>$visitCount){ 
							$countryData=$countries['data'][$key];
							$latitude=floatval($countryData['lat']);
							$longitude=floatval($countryData['lon']); 
							if($longitude==0 && $latitude==0) continue; 
							$visitPercent = round(($visitCount/$totalVisits)*100);
							if($visitPercent<1) $visitPercent = round(($visitCount/$totalVisits)*1000)/10;
							
							if($visitPercent<=1){
								$markerClass='mapMarkerSmall';	
							}elseif($visitPercent>=20){ 
								$markerClass='mapMarkerLarge';	
							}else{
								$markerClass='mapMarker';	
							}
							
							$userVisitsHTML='';
							$visitsCount=0;
							if(is_array($countries['recentVisits'][$key])) foreach($countries['recentVisits'][$key] as $visitData){
								$visitsCount++;
								if( intval($visitData['users_id']) ){
									$visitingUser = ParticleTrafficDisplay::getCachedUser($visitData['users_id']);
									$userName = $visitingUser->getUserName().' ';
								}else $userName=''; 
								
								$hits='<span class="faint">('.intval($visitData['hitCount']).')</span>';
								
								$userVisitsHTML .= "<div class=\"recentVisit\"><a onclick=\"StatsMap.loadVisit(".intval($visitData['traffic_visit_id']).",'".$key."')\">".$userName.$visitData['ip'].'</a> '.$hits.'</div>'; 
								if($visitsCount>=10){
									$userVisitsHTML .= '...';  
									break;	
								}
							}
							?> 
							
							flagHTML='<span class="flagWrap"><img src="<?php echo ParticleTraffic_BASE_URL ?>/images/flags/<?php echo strtolower($key) ?>.png" width="16" height="11" /></span>';
							popupContent = StatsMap.closeSwitchHTML+"<div class='headline'>"+flagHTML+"<?php echo t($countryData['country']) ?></div><div class='info'><?php echo $visitCount ?> <?php echo t('visits') ?> / <?php echo $visitPercent ?>%</div>";  
							popupContent = popupContent + "<div class='recentVisits'><?php echo  addslashes($userVisitsHTML) ?></div>"; 
							
							<?php  if( intval($data['users_id']) ){ 
								$visitingUser = DashboardStatsSummaryController::getCachedUser($data['users_id']);
								?>
								<a href="<?php echo  View::url('dashboard/users/search?uID='.intval($data['users_id'])) ?>" onclick="window.location=this.href"><?php echo $visitingUser->getUserName();  ?></a>
							<?php  } ?>
							
							geoPoint = new YGeoPoint( <?php echo floatval($latitude) ?>, <?php echo floatval($longitude) ?> ); 
							markerDiv=document.createElement('div');
							markerDiv.className='<?php echo $markerClass ?>';
							newMarker= new YCustomOverlay( geoPoint );
							newMarker.popupContent = popupContent;
							newMarker.countryCode = "<?php echo $key ?>"; 
							newMarker.geoPoint = geoPoint; 
							YUtility.appendNode( newMarker, markerDiv);						
							YEvent.Capture( newMarker, EventsList.MouseClick, function(){ 
								StatsMap.removePopups(); 
											
								var t=document.createElement('div'); 
								t.className = "mapPopup"; 
								t.id = "mapPopup_"+this.countryCode; 
								$(t).css('opacity',0).animate({opacity:1},500 );
								var header='<div class="t">&nbsp;</div><div class="tl">&nbsp;</div><div class="tr">&nbsp;</div><div class="br">&nbsp;</div><div class="bl">&nbsp;</div>';
								header=header+'<div class="b">&nbsp;</div><table class="center" cellpadding="0" cellspacing="0" ><tr><td class="l">&nbsp;</td><td class="content">';
								header=header+'<div class="mapPopupContent"><div class="countryDetail">';
								var footer = '</div><div class="visitDetail"></div></div></td><td class="r"><div class="minHeight">&nbsp;</div></td></tr></table><div class="spacer">&nbsp;</div></div>';
								
								t.innerHTML = header + this.popupContent + footer;
								
								var yco= new YCustomOverlay( this.geoPoint );
								YUtility.appendNode( yco, t);
								mapObj.addOverlay(yco); 
								t.yco=yco;
								StatsMap.popupObjs.push(t); 
							});						
							mapObj.addOverlay(newMarker); 
						<?php  } ?> 
						
				}catch(e){ alert(e.message); }  
			},
			
			exitVisit:function(countryCode){
				var popup = $('#mapPopup_'+countryCode); 
				popup.find('.visitDetail').css('display','none');
				popup.find('.countryDetail').css('display','block');
			},
			
			loadVisit:function(visitID,countryCode){  
				var popup = $('#mapPopup_'+countryCode);
				popup.find('.countryDetail').css('display','none');
				popup.find('.visitDetail').css('display','block').html("<?php echo t('Loading...')?>"); 
				popup.mousedown(function (evt) { 
       				evt.stopImmediatePropagation();
        			return false;
    			});        
				$.ajax({ 
					type:'get',					  
					data:'&visit='+visitID+'&c_code='+countryCode,
					url: "<?php echo View::url('/dashboard/stats/map','visit_details')?>",
					success: function(response){  
						eval('var jObj='+response);
						if( jObj && jObj.error ){ 
							alert(jObj.error);
						}else{ 
							$('#mapPopup_'+jObj.c_code+' .visitDetail').html(StatsMap.closeSwitchHTML+jObj.html);
							//$('#mapPopup_'+jObj.c_code+' .hits').css('overflow','scroll'); 
						}
					}
				}); 
				
			},
			
			closeSwitchHTML:"<a onclick=\"StatsMap.removePopups()\"><div class='closeSwitch'></div></a>",
		
			popupObjs:[],
			removePopups:function(){  
				while(this.popupObjs.length>=1){				
					var t=this.popupObjs.pop();  
					$(t).animate({ opacity: 0 }, 500, function() {
						mapObj.removeOverlay(this.yco);  
					}); 
				}
			}
			
		}

		
		</script> 
		
		<div id="mapCanvas" class="mapCanvas"></div>
		
		<script type="text/javascript">$(function() {
			StatsMap.init();
			/* $(window).unload( function () { GUnload(); } ); */ 
		});</script>	
	
	<?php  } ?>

</div>