<?php  

defined('C5_EXECUTE') or die(_("Access Denied.")); 
 
$defaultTimeframe=(in_array($_SESSION['statsPanel_visitGraph'],array('year','week','day')))?$_SESSION['statsPanel_visitGraph']:'week';

$statsDisplay=new ParticleTrafficDisplay(); 
$statsDisplay->getVisitData(1);  

?>

<style>
#statsTimelinks a.selected { font-weight:bold; }
.none { display:none; }
#visitDisplayGraphWrap { text-align:center; }
</style>

<script>

//xml-swf chart variables 
var ParticleTrafficRequiredMajorVersion = 9;
var statsDefaultTimeFrame = 'week';
var statsDefaultDisplayMode = 'graph';
ParticleTraffic_URL_DIR="<?php echo ParticleTraffic_URL_DIR?>";

var TonyStatsModule={
	
	timeframe:"", 
	//xml_source:'<?php echo ParticleTraffic_SERVICES_URL?>?mode=graph_xml&',
	servicesURL:'<?php echo ParticleTraffic_SERVICES_URL?>', 
	bID:0,
	init:function(){
		
	}, 
	 
	popularityDataView:function(panel,a){ 
		var panels=['Day','Week','Year']; 
		this.timeframe=panel.toLowerCase();
		$('#statsTimelinks a').removeClass('selected'); 
		$(a).addClass('selected');
		this.swapPanel('visitGraph',panels,panel,a);  
	},
	
	swapPanel:function(prefix,panels,panel,a){
		var el,i;
		this.addClass(a,'selected')
		for(i=0;i<panels.length;i++){
			el=this.$(prefix+panels[i]+'Wrap');
			if(!el) continue; 
			if(panels[i]==panel){ 			
				this.removeClass(el,'none');
			}else{
				this.addClass(el,'none');
				a=this.$(prefix+panels[i]+'Link');
				this.removeClass(a,'selected');				
			}
		}	
		this.saveTab(prefix,panel);
	},	
	saveTab:function(panel,val){
		$.ajax({ 
			url: this.servicesURL+'?mode=save_tab&panel='+encodeURI(panel)+'&val='+encodeURI(val.toLowerCase()),
			success: function(response){  }
		});
	},	
	<?php  include(ParticleTraffic_PATH.'js/ParticleTraffic.common_script.php') ?>
	
}

$(function(){ TonyStatsModule.init(); });

</script>

<div style="width:100%;">
    
    <div style="float:right; ">
        <a href="<?php echo View::url('dashboard/stats') ?>"><?php echo t('More Statistics &raquo;') ?></a>
    </div>
    
    <div id="statsTimelinks">
        <a href="#" id="visitDataDayLink" <?php echo ($defaultTimeframe=='day')?'class="selected"':'' ?> onclick="TonyStatsModule.popularityDataView('Day',this); return false;"><?php echo t('Day') ?></a>&nbsp; 
        <a href="#" id="visitDataWeekLink" <?php echo ($defaultTimeframe=='week')?'class="selected"':'' ?> onclick="TonyStatsModule.popularityDataView('Week',this); return false;"><?php echo t('Week') ?></a>&nbsp; 
        <a href="#" id="visitDataYearLink" <?php echo ($defaultTimeframe=='year')?'class="selected"':'' ?> onclick="TonyStatsModule.popularityDataView('Year',this); return false;"><?php echo t('Year') ?></a>
    </div>
    
	<?php  /*
    <div style="margin:auto; width:350px">
    <div id="visitGraphFlash">			
        <div style="padding:8px; text-align:center" class="faint small">
            This graph requires <a href="http://www.adobe.com/go/getflashplayer">Adobe Flash</a>.
        </div>
    </div>
	*/ ?>
	
	<div id="visitDisplayGraphWrap"> 
		<div id="visitGraphDayWrap" class="visitGraphWrap <?php echo ($defaultTimeframe!='day')?'none':''?>">
			<img src="<?php echo  $statsDisplay->getChartImg('day',1) ?>"  /> 
		</div>
		
		<div id="visitGraphWeekWrap" class="visitGraphWrap <?php echo ($defaultTimeframe!='week')?'none':''?>">
			<img src="<?php echo  $statsDisplay->getChartImg('week',1) ?>"  /> 
		</div>
		
		<div id="visitGraphYearWrap" class="visitGraphWrap <?php echo ($defaultTimeframe!='year')?'none':''?>">
			<img src="<?php echo  $statsDisplay->getChartImg('year',1) ?>"  /> 
		</div> 
    </div>
</div>